import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
declare type toastType = 'success' | 'danger' | 'warning' | 'dark';
export declare class ToastService {
    toasts: any[];
    private delay;
    private toastOptions;
    /**
     *
     * @param type 'success' | 'danger' | 'warning' | 'dark'
     * @param textOrTpl  string OR TemplateRef<any>
     * @param delay numbers in miliseconds. e.g 1000 for 1s
     * @param isCentered boolean
     */
    showToast(type: toastType, textOrTpl: string | TemplateRef<any>, delay?: number, isCentered?: boolean): void;
    private show;
    remove(toast: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastService>;
}
export {};
