import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Router } from '@angular/router';
import { DokuSessionService } from './doku-session.service';
import * as i0 from "@angular/core";
export declare class DokuApiService {
    private router;
    private http;
    private dokuSession;
    private contentPathURL?;
    private bodyJSON;
    private pathParameters?;
    private _file;
    constructor(router: Router, http: HttpClient, dokuSession: DokuSessionService);
    get(path: any, parameters: any, headersOptions?: HttpHeaders): any;
    post(path: any, parameters: any, body: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    upload(path: any, parameters: any, body: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    uploadFile(path: any, formData: FormData, headersOptions?: HttpHeaders): import("rxjs").Observable<import("@angular/common/http").HttpResponse<Object>>;
    put(path: any, parameters: any, body: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    delete(path: any, parameters: any, body: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    requestGet(path: any, parameters: any, headersOptions?: HttpHeaders): any;
    requestPost(path: any, parameters: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    requestPut(path: any, parameters: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    requestDelete(path: any, parameters: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    requestUpload(path: any, parameters: any, headersOptions?: HttpHeaders): import("rxjs").Observable<any>;
    private responseProcessor;
    setContentPathURL(contentPathURL: string): DokuApiService;
    getContentPathURL(): string | undefined;
    setPathParameters(pathParameters: Map<string, string>): DokuApiService;
    getpathParameters(): Map<string, string> | undefined;
    setBodyJSON(body: any): DokuApiService;
    getBodyJSON(): any;
    getHeaders(): HttpHeaders;
    getUploadHeaders(): HttpHeaders;
    private params;
    getFullRequestURL(): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<DokuApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DokuApiService>;
}
