import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { DokuBottomSheetConfig } from './doku-bottom-sheet.interface';
import * as i0 from "@angular/core";
export declare class DokuBottomSheetComponent {
    private changeDetector;
    flags: any;
    options: DokuBottomSheetConfig;
    onClose: EventEmitter<any>;
    constructor(changeDetector: ChangeDetectorRef);
    /**
     * Opens bottom sheet component
     */
    open(): void;
    /**
     * Closes bottom sheet component
     */
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DokuBottomSheetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DokuBottomSheetComponent, "doku-bottom-sheet", never, { "options": "options"; }, { "onClose": "onClose"; }, never, ["*"], false>;
}
