import * as i0 from "@angular/core";
export declare class DokuSessionService {
    constructor();
    /**
     * Store anything to local storage.
     * @param {string} key
     * @param val
     */
    setLocalItem(key: string, val: any): void;
    /**
     * Retrieve anything from local storage.
     * @param {string} key
     * @returns {any}
     */
    getLocalItem(key: string): any;
    /**
     * get current user session
     */
    getToken(): string;
    /**
     * check whether user is login or not
     */
    isLoggedIn(): string;
    /**
     * clear current session
     */
    destroySession(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DokuSessionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DokuSessionService>;
}
